## Create namespace. `client.aiSearch.namespaces.create(NamespaceCreateParamsparams, RequestOptionsoptions?): NamespaceCreateResponse` **post** `/accounts/{account_id}/ai-search/namespaces` Create a new namespace. ### Parameters - `params: NamespaceCreateParams` - `account_id?: string` Path param - `name: string` Body param - `description?: string | null` Body param: Optional description for the namespace. Max 256 characters. ### Returns - `NamespaceCreateResponse` - `created_at: string` - `name: string` - `description?: string | null` Optional description for the namespace. Max 256 characters. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const namespace = await client.aiSearch.namespaces.create({ account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22', name: 'name', }); console.log(namespace.created_at); ``` #### Response ```json { "result": { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" }, "success": true } ```